clang-tools 10.0.0

Functions | Variables
clang-tidy-diff Namespace Reference

## Functions
def | run_tidy (task_queue, lock, timeout)
def | start_workers (max_tasks, tidy_caller, task_queue, lock, timeout)
def | merge_replacement_files (tmpdir, mergefile)
def | main ()

## Variables
| yaml = None
string | is_py2 = '2'

## Function Documentation

## ◆ main()

def clang-tidy-diff.main | ( |  | ) |

Definition at line 117 of file clang-tidy-diff.py.

References merge_replacement_files(), and start_workers().

## ◆ merge_replacement_files()

def clang-tidy-diff.merge_replacement_files | ( |  | tmpdir,
|  |  | mergefile
| ) |  |

    Merge all replacement files in a directory into a single file

Definition at line 92 of file clang-tidy-diff.py.

Referenced by main().

## ◆ run_tidy()

def clang-tidy-diff.run_tidy | ( |  | task_queue,
|  |  | lock,
|  |  | timeout
| ) |  |

Definition at line 52 of file clang-tidy-diff.py.

References clang::tidy::cppcoreguidelines.join().

## ◆ start_workers()

def clang-tidy-diff.start_workers | ( |  | max_tasks,
|  |  | tidy_caller,
|  |  | task_queue,
|  |  | lock,
|  |  | timeout
| ) |  |

Definition at line 86 of file clang-tidy-diff.py.

Referenced by main().

## Variable Documentation

## ◆ is_py2

string clang-tidy-diff.is_py2 = '2'

Definition at line 44 of file clang-tidy-diff.py.

## ◆ yaml

clang-tidy-diff.yaml = None

Definition at line 42 of file clang-tidy-diff.py.